#ifndef HAUSDORF_FORM_H
#define HAUSDORF_FORM_H

#include <QDialog>

#include <my_image.h>
#include "funkce.h"

namespace Ui {
    class hausdorf_form;
}

class hausdorf_form : public QDialog {
    Q_OBJECT
public:
    hausdorf_form(QWidget *parent = 0);
    ~hausdorf_form();
    my_image * apply_filt(my_image * new_image);//tato funke aplykuje veskere filtry vstupni obraz --alokuje pamet
    void load_image(my_image * image);
    int Count_Number;
    bool registruj;

protected:
    void changeEvent(QEvent *e);
    Ui::hausdorf_form *ui;
    my_image * img;
private:

public slots:
    void ChangeNumber(int);
    void Check_Change();


    void Show_image();
    void Btn_OK();
signals:
    void Form_Close();
};

#endif // HAUSDORF_FORM_H
